---
title: border-spacing
slug: Web/CSS/border-spacing
tags:
  - CSS
  - CSS Property
  - CSS Tables
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>border-spacing</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets the distance between the borders of adjacent {{htmlelement("table")}} cells. This property applies only when {{cssxref("border-collapse")}} is <code>separate</code>.</p>

<div>{{EmbedInteractiveExample("pages/css/border-spacing.html")}}</div>

<p>The <code>border-spacing</code> value is also used along the outside edge of the table, where the distance between the table's border and the cells in the first/last column or row is the sum of the relevant (horizontal or vertical) <code>border-spacing</code> and the relevant (top, right, bottom, or left) {{cssxref("padding")}} on the table.</p>

<div class="note">
<p><strong>Note:</strong> The <code>border-spacing</code> property is equivalent to the deprecated <code>cellspacing</code> <code>&lt;table&gt;</code> attribute, except that it has an optional second value that can be used to set different horizontal and vertical spacing.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: css no-line-numbers notranslate">/* &lt;length&gt; */
border-spacing: 2px;

/* horizontal &lt;length&gt; | vertical &lt;length&gt; */
border-spacing: 1cm 2em;

/* Global values */
border-spacing: inherit;
border-spacing: initial;
border-spacing: unset;
</pre>

<p>The <code>border-spacing</code> property may be specified as either one or two values.</p>

<ul>
 <li>When <strong>one</strong> <code>&lt;length&gt;</code> value is specified, it defines both the horizontal and vertical spacings between cells.</li>
 <li>When <strong>two</strong> <code>&lt;length&gt;</code> values are specified, the first value defines the horizontal spacing between cells (i.e., the space between cells in adjacent <em>columns</em>), and the second value defines the vertical spacing between cells (i.e., the space between cells in adjacent <em>rows</em>).</li>
</ul>

<h3 id="Values">Values</h3>

<dl>
 <dt>{{cssxref("&lt;length&gt;")}}</dt>
 <dd>The size of the spacing as a fixed value.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Spacing_and_padding_table_cells">Spacing and padding table cells</h3>

<p>This example applies a spacing of <code>.5em</code> vertically and <code>1em</code> horizontally between a table's cells. Note how, along its outside edges, the table's <code>padding</code> values are added to its <code>border-spacing</code> values.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;table&gt;
  &lt;tr&gt;
    &lt;td&gt;1&lt;/td&gt;&lt;td&gt;2&lt;/td&gt;&lt;td&gt;3&lt;/td&gt;
  &lt;/tr&gt;
  &lt;tr&gt;
    &lt;td&gt;4&lt;/td&gt;&lt;td&gt;5&lt;/td&gt;&lt;td&gt;6&lt;/td&gt;
  &lt;/tr&gt;
  &lt;tr&gt;
    &lt;td&gt;7&lt;/td&gt;&lt;td&gt;8&lt;/td&gt;&lt;td&gt;9&lt;/td&gt;
  &lt;/tr&gt;
&lt;/table&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">table {
  border-spacing: 1em .5em;
  padding: 0 2em 1em 0;
  border: 1px solid orange;
}

td {
  width: 1.5em;
  height: 1.5em;
  background: #d2d2d2;
  text-align: center;
  vertical-align: middle;
}
</pre>

<h4 id="Result">Result</h4>

<p>{{ EmbedLiveSample('Spacing_and_padding_table_cells', 400, 200) }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('CSS2.1', 'tables.html#separated-borders', 'border-spacing') }}</td>
   <td>{{ Spec2('CSS2.1') }}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.border-spacing")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("border-collapse")}}, {{cssxref("border-style")}}</li>
 <li>The <code>border-spacing</code> property alters the appearance of the {{htmlelement("table")}} HTML element.</li>
</ul>
